aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorFlorian Walch <florian@fwalch.com>2014-12-07 19:20:26 +0100
committerFlorian Walch <florian@fwalch.com>2014-12-14 21:42:36 +0100
commit463c20ebb05f8ec7a0c7d31f000e54da450e52a6 (patch)
tree5bac178d32537982c35bf08411bf31b8b1a058ba
parentddaa48123661fc0d66c6f49ae0827f6d9ab2d8d5 (diff)
downloadrneovim-463c20ebb05f8ec7a0c7d31f000e54da450e52a6.tar.gz
rneovim-463c20ebb05f8ec7a0c7d31f000e54da450e52a6.tar.bz2
rneovim-463c20ebb05f8ec7a0c7d31f000e54da450e52a6.zip
Travis: Change search pattern for core dumps.
Would otherwise find files in .deps if dependencies are built.
-rw-r--r--.ci/common.sh18
1 files changed, 14 insertions, 4 deletions
diff --git a/.ci/common.sh b/.ci/common.sh
index e83038c1a6..bb6c5758d6 100644
--- a/.ci/common.sh
+++ b/.ci/common.sh
@@ -28,11 +28,21 @@ check_logs() {
check_core_dumps() {
sleep 2
- local c
- for c in $(find ./ -name '*core*' -print); do
- gdb -q -n -batch -ex bt build/bin/nvim $c
- exit 1
+
+ if [ "$TRAVIS_OS_NAME" = "osx" ]; then
+ cores=/cores/*
+ else
+ # TODO(fwalch): Will trigger if a file named core.* exists outside of .deps.
+ cores="$(find ./ -not -path '*.deps*' -name 'core.*' -print)"
+ fi
+
+ if [ -z "$cores" ]; then
+ return
+ fi
+ for c in $cores; do
+ gdb -q -n -batch -ex bt build/bin/nvim $c
done
+ exit 1
}
setup_deps() {